package com.ruoyi.system.domain.projectV2.common;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 短信人员配置对象 send_sms_config
 * 
 * @author boman
 * @date 2023-03-07
 */
public class SendSmsConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;
    /**
     * 部门iD
     */
    private Long deptId;

    /** 发送人姓名  */
    @Excel(name = "发送人姓名 ")
    private String name;

    /** 发送的手机号 */
    @Excel(name = "发送的手机号")
    private String phone;

    /** 项目进度 1:项目首谈 2:项目承接 3:项目签约 4:项目开工 5:项目投产  */
    @Excel(name = "项目进度 1:项目首谈 2:项目承接 3:项目签约 4:项目开工 5:项目投产 ")
    private String progress;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String modifyDate;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private String isDel;

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setProgress(String progress) 
    {
        this.progress = progress;
    }

    public String getProgress() 
    {
        return progress;
    }
    public void setModifyDate(String modifyDate) 
    {
        this.modifyDate = modifyDate;
    }

    public String getModifyDate() 
    {
        return modifyDate;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("name", getName())
            .append("phone", getPhone())
            .append("progress", getProgress())
            .append("modifyDate", getModifyDate())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .append("deptId", getDeptId())
            .toString();
    }
}
